# Generated by Django 3.2.13 on 2022-05-15 23:38

from django.conf import settings
from django.db import migrations, models

import short_stuff.django.models
import short_stuff.lib


class Migration(migrations.Migration):

    dependencies = [
        ("profiles", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Team",
            fields=[
                (
                    "id",
                    short_stuff.django.models.ShortCodeField(
                        db_index=True,
                        default=short_stuff.lib.gen_shortcode,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.CharField(max_length=64, unique=True)),
                ("description", models.TextField(max_length=1024)),
                ("members", models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
